Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

From: "Shahram Davari" <[email-masked]>
Date: Thu, 29 Oct 2009 13:32:20 -0700

Sasha 

If IP is not going to be in a PW then I think the only choice left is to run  IP BFD.

SD

----- Original Message -----
From: Alexander Vainshtein <[email-masked]>
To: Shahram Davari
Cc: [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
Sent: Thu Oct 29 12:57:02 2009
Subject: RE: [mpls-tp] If a PW is a sublayer, why is it different?

Shaharam,
You are right, of course, thank you for the clarification.
This can be used as an explanation (of sorts) why PW sub-layer is different.

Now let me ask you the following question.

Suppose (just suppose) I am running a L3 VPN on top of MPLS-TP and want to
run some kind of data plane OAM between a pair of VRFs in a given L3 VPN 
instance.

Should I do that using GAL or using VCCV? Or do I have to invent a
new mechanism for this purpose because these packets are neither PWs
nor MPLS-TP LSPs?

(The answer would be simple in the case of VPLS, because VSIs are
interconnected over PWs. But L3 VPNs historically preceded PWs, 
so they do not use them.)

My 2c,
     Sasha

> -----Original Message-----
> From: Shahram Davari [mailto:[email-masked]] 
> Sent: Thursday, October 29, 2009 6:44 PM
> To: Alexander Vainshtein; [email-masked]'; [email-masked]'
> Cc: [email-masked]'
> Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?
> 
> Hi sasha 
> 
> The GAL rfc says it must not be used for PW 
> 
> Shahram
> 
> ----- Original Message -----
> From: [email-masked] <[email-masked]>
> To: Adrian Farrel <[email-masked]>; Luca Martini 
> <[email-masked]>
> Cc: [email-masked] <[email-masked]>
> Sent: Wed Oct 28 22:34:25 2009
> Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?
> 
> Adrian, Luca and all,
> I agree with Adrian: data plane-wise S-PE is not different from P.
> 
> The differences come with the control plane (which may be 
> absent in MPLS-TP)
> or with OAM which, AFAIK, has not yet been standardized for 
> MS-PWs and which, 
> in an case, may be also absent the operator's choice. 
> 
> On the other hand, when it comes to OAM, the answer to the 
> original question IMHO has a
> very practical implication:
> 
> If I want to run OAM in an MS-PW that runs in an MPLS-TP 
> network, do I have 
> to use GAL as the last label in the label stack and followed 
> by the ACH header
> (as defined in RFC 5586), or can I run it using VCCV (as 
> defined in RFC 5085)?
> 
> My 2c,
>      Sasha
>  
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of Adrian Farrel
> > Sent: Thursday, October 29, 2009 1:53 AM
> > To: Luca Martini
> > Cc: [email-masked]
> > Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?
> > 
> > Luca,
> > 
> > Perhaps I didn't explain my question clearly enough.
> > 
> > In the data plane of an MPLS-TP network (so it is all one 
> > server type - 
> > MPLS-TP), is there any difference in behavior in an S-PE and 
> > P node when 
> > switching packets?
> > 
> > Let me draw a network...
> > 
> > 
> > A==B==C***D***E
> > 
> > Consider that I build two LSP tunnels ABC and CDE.
> > Now suppose I want an LSP (note: not a PW) form A to E. It 
> > runs ACE using 
> > the two tunnels.
> > At C, when a packet is received, the top label is popped (end 
> > of LSP ABC) 
> > and the exposed label is used for forwarding. Then a new 
> > label is imposed 
> > (LSP CDE) before the packet is sent onward.
> > 
> > Now, let me draw another network.
> > 
> > A==B==C***D***E
> > 
> > Consider that I build two LSP tunnels ABC and CDE.
> > Now suppose I want a PW (note: not an LSP) form A to E. It 
> > runs ACE using 
> > the two tunnels.
> > At C, when a packet is received, the top label is popped (end 
> > of LSP ABC) 
> > and the exposed label is used for forwarding. Then a new 
> > label is imposed 
> > (LSP CDE) before the packet is sent onward.
> > 
> > In the first case, node C is a P-node.
> > In the second case, node C is an S-PE.
> > There is nothing that precludes or requires node C to be on 
> > any domain 
> > boundary.
> > 
> > What is the difference in the data plane between node C in 
> > the first case 
> > and node C in the second case?
> > 
> > It is important (to me) to limit this question to the data 
> > plane. I don't 
> > care how the LSPs or PWs are set up or what service they are 
> > delivering.
> > 
> > Thanks,
> > Adrian
> > 
> > ----- Original Message ----- 
> > From: "Luca Martini" <[email-masked]>
> > To: "Adrian Farrel" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Wednesday, October 28, 2009 10:31 PM
> > Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?
> > 
> > > Hi Adrian,
> > >
> > > An S-PE is very different. A P node has no knowledge of 
> > what is in the PW, 
> > > what specific parameters are incompatible with the 2 PWs. 
> > block or fake PW 
> > > OAM, etc...
> > > An S-PE is an administrative , and control point for the 
> > MS-PW. While a P 
> > > Router switches all LSP the same , and does not even have 
> > to be a MIP.
> > > Also an S-PE can connect PWs running on completely 
> different server 
> > > networks, without any interworking function at the network layer.
> > >
> > > Luca
> > >
> > >
> > >
> > > Adrian Farrel wrote:
> > >> So trying to take this a step further...
> > >>
> > >> If a PW is "just a label" making it "just a sub-layer" why 
> > do we insist 
> > >> that it is in any way different within the network?
> > >>
> > >> How is an S-PE that switches PW segments any different 
> > from a P-node that 
> > >> switches LSP segments? True, the S-PE must terminate the 
> > LSP tunnel (pop 
> > >> a label) before finding the PW label on which to switch. 
> > But this same 
> > >> function could apply at a P-node that is switching an 
> LSP that was 
> > >> carried in a tunnel.
> > >>
> > >
> > >> If this is the case, shouldn't we *include* PWs in the 
> > Survivability 
> > >> Framework:
> > >> - as automatically the same as LSPs
> > >> - with some examples to show how the function if achieved.
> > >>
> > >> To repeat: How are PWs any different within the network.
> > >>
> > >
> > >> [In answering, please recall that we are talking about 
> > MPLS-TP networks 
> > >> only.]
> > >>
> > >> Thanks,
> > >> Adrian
> > >>
> > >> ----- Original Message ----- From: "David Allan I" 
> > >> <[email-masked]>
> > >> To: "Sprecher, Nurit (NSN - IL/Hod HaSharon)" 
> > <[email-masked]>; 
> > >> <[email-masked]>
> > >> Sent: Wednesday, October 28, 2009 4:41 PM
> > >> Subject: Re: [mpls-tp] Is PW a layer of MPLS-TP
> > >>
> > >>
> > >>> Hi Nurit:
> > >>>
> > >>> I think you misunderstand me. My comment on whether we 
> > supported clients 
> > >>> besides PWs was to illustrate second order consequences, 
> > not to suggest 
> > >>> that OAM was wagging the dog or was involved in 
> > delineation of layers 
> > >>> and sublayers...
> > >>>
> > >>> IMO all labels between the link layer preamble and the 
> > label with the S- 
> > >>> bit set are either reserved functions or sub-layers of 
> > the MPLS-TP 
> > >>> "layer", "sub-layers" AND reserved labels being what 
> was known as 
> > >>> "levels" in RFC 3031. All sub layers have the potential 
> > to be switched 
> > >>> including the PW sub-layer, ergo a PW is a sub-layer of 
> MPLS-TP...
> > >>>
> > >>> I hope I'm clear...
> > >>>
> > >>> Cheers
> > >>> D
> > >>>
> > >>> -----Original Message-----
> > >>> From: Sprecher, Nurit (NSN - IL/Hod HaSharon) 
> > >>> [mailto:[email-masked]]
> > >>> Sent: Wednesday, October 28, 2009 12:27 PM
> > >>> To: David Allan I; [email-masked]
> > >>> Subject: RE: [mpls-tp] Is PW a layer of MPLS-TP
> > >>>
> > >>> Hi Dave,
> > >>> I am afraid again that relying on OAM to distinnguish 
> between the 
> > >>> clients is a wrong approach.
> > >>> Best regadrs,
> > >>> Nurit
> > >>>
> > >>> -----Original Message-----
> > >>> From: [email-masked] 
> > [mailto:[email-masked]] On 
> > >>> Behalf Of ext David Allan I
> > >>> Sent: Wednesday, October 28, 2009 6:02 PM
> > >>> To: [email-masked]
> > >>> Subject: [mpls-tp] Is PW a layer of MPLS-TP
> > >>>
> > >>> HI Adrian:
> > >>>
> > >>> IMO the S-bit is set in the PW label and clear in the 
> > encapsulating 
> > >>> sub-layers, hence it is a sub-layer in the G.805 sense 
> of MPLS-TP.
> > >>>
> > >>> IMO it does confuse the landscape as OAM discrimination 
> > requires apriori 
> > >>> knowledge of the label type at bottom of stack IF we 
> > assume a BOS can be 
> > >>> other than a PW...
> > >>>
> > >>> My 2 cents
> > >>> D
> > >>>
> > >>> You wrote>>>>
> > >>>
> > >>> Hi,
> > >>>
> > >>> I am trying this question again with a different subject line.
> > >>>
> > >>>
> > >>> It would be helpful to have more answers than just Neil's 
> > (not that I 
> > >>> don't value his view, but one person doesn't make consensus!)
> > >>>
> > >>> My question:
> > >>>
> > >>> Hasn't the work on the MPLS-TP Framework draft judged PW 
> > to be a client 
> > >>> of MPLS-TP?
> > >>> That is, PW is not a layer of MPLS-TP, but the client.
> > >>>
> > >>> Doesn't that mean that PW survivability is out of scope 
> > for the MPLS-TP 
> > >>> Survivability I-D?
> > >>>
> > >>> Thanks,
> > >>> Adrian
> > >>> _______________________________________________
> > >>> mpls-tp mailing list
> > >>> [email-masked]
> > >>> https://www.ietf.org/mailman/listinfo/mpls-tp
> > >>> _______________________________________________
> > >>> mpls-tp mailing list
> > >>> [email-masked]
> > >>> https://www.ietf.org/mailman/listinfo/mpls-tp
> > >>>
> > >>
> > >> _______________________________________________
> > >> mpls-tp mailing list
> > >> [email-masked]
> > >> https://www.ietf.org/mailman/listinfo/mpls-tp
> > >
> > > 
> > 
> > _______________________________________________
> > mpls-tp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mpls-tp
> > 
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
> 
>